package com.yeejoin.precontrol.common.enums;

public enum SalaryPayTypeEnum {
	/*
	 * 人员
	 */
	FBS("分包商发放工资", 1),
	/**
	 * 装置
	 */
	JXDJ("江西电建代发工资", 2),
	/**
	 * 指挥
	 */
	BANK("银行代发工资", 3);

	private String label;
	private int value;

	SalaryPayTypeEnum(String label, int value) {
		this.label = label;
		this.value = value;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public int getValue() {
		return value;
	}

	public void setValue(int value) {
		this.value = value;
	}

	public static String getLabelByValue(int value) {
		String label = null;
		for (BadTypeEnum type : BadTypeEnum.values()) {
			if (type.getValue() == value) {
				label = type.getLabel();
				break;
			}
		}
		return label;
	}
}
